summaryrefslogtreecommitdiff
path: root/tools/testing/selftests/rcutorture
diff options
context:
space:
mode:
authorPaul E. McKenney <paulmck@kernel.org>2021-06-23 23:56:11 +0300
committerPaul E. McKenney <paulmck@kernel.org>2021-07-20 23:45:50 +0300
commit2ab5bbc326f6fc8fc8acb0e14cfdc1ad23063a00 (patch)
tree90757c1847cc2a55c65d58b3f28186a1db25b5ff /tools/testing/selftests/rcutorture
parent5a2898f183245f72b8b4163e5bce4247e47ff7c5 (diff)
downloadlinux-2ab5bbc326f6fc8fc8acb0e14cfdc1ad23063a00.tar.xz
torture: Make kvm-recheck.sh skip kcsan.sum for build-only runs
Currently, kvm-recheck.sh attempts to create a kcsan.sum file even for build-only runs. This results in false-positive bash errors due to there being no console.log files in that case. This commit therefore makes kvm-recheck.sh skip creating the kcsan.sum file for build-only runs. Signed-off-by: Paul E. McKenney <paulmck@kernel.org>
Diffstat (limited to 'tools/testing/selftests/rcutorture')
-rwxr-xr-xtools/testing/selftests/rcutorture/bin/kvm-recheck.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tools/testing/selftests/rcutorture/bin/kvm-recheck.sh b/tools/testing/selftests/rcutorture/bin/kvm-recheck.sh
index e01b31b87044..0a5419982ab3 100755
--- a/tools/testing/selftests/rcutorture/bin/kvm-recheck.sh
+++ b/tools/testing/selftests/rcutorture/bin/kvm-recheck.sh
@@ -74,7 +74,10 @@ do
done
if test -f "$rd/kcsan.sum"
then
- if grep -q CONFIG_KCSAN=y $T
+ if ! test -f $T
+ then
+ :
+ elif grep -q CONFIG_KCSAN=y $T
then
echo "Compiler or architecture does not support KCSAN!"
echo Did you forget to switch your compiler with '--kmake-arg CC=<cc-that-supports-kcsan>'?